# $Revision: 1.13 $, $Date: 2006/05/31 12:53:48 $
%define		ocaml_ver	1:3.09.2
Summary:	XML-RPC implementation for OCaml
Summary(pl):	Implementacja XML-RPC dla OCamla
Name:		ocaml-xmlrpc
Version:	0.1.0
Release:	10
License:	GPL/LGPL
Group:		Libraries
URL:		http://raevnos.pennmush.org/code/ocaml.html
Source0:	http://raevnos.pennmush.org/code/ocaml_xml-rpc-%{version}.tar.gz
# Source0-md5:	fe6fc941434676f8bc4576ba618cf9e5
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-net-netstring-devel >= 1.1.1-2
BuildRequires:	ocaml-netclient-devel
BuildRequires:	ocaml-pcre-devel
BuildRequires:	ocaml-pxp-devel
BuildRequires:	ocaml-stew-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML-RPC is a protocol for remotely invoking functions in different
programs (Usually on different computers) than where the calling code
is. It's a pretty simple protocol compared to others like CORBA, DCOM,
or even Java RMI. See http://www.xmlrpc.com/ for more information
about XML-RPC.

Library comes under LGPL, while oxridl tool comes under GPL.

%description -l pl
XML-RPC jest protokoem pozwalajcym wywoywa funkcje w innych
programach (przewanie rwnie na innych komputerach). Jest to cakiem
prosty protok w porwnaniu do CORBA, DCOM czy nawet Java RMI. Na
http://www.xmlrpc.com/ mona znale wicej informacji na temat
XML-RPC.

Biblioteka jest rozprowadzana na zasadach LGPL, natomiast narzdzie
oxridl -- na GPL.

%package devel
Summary:	XML-RPC implementation for OCaml - development part
Summary(pl):	Implementacja XML-RPC dla OCamla - cze programistyczna
Group:		Development/Libraries
%requires_eq	ocaml
%requires_eq	ocaml-net-netstring-devel
%requires_eq	ocaml-netclient-devel
%requires_eq	ocaml-stew-devel
%requires_eq	ocaml-pxp-devel
%requires_eq	ocaml-pcre-devel

%description devel
XML-RPC is a protocol for remotely invoking functions in different
programs (Usually on different computers) than where the calling code
is. It's a pretty simple protocol compared to others like CORBA, DCOM,
or even Java RMI. See http://www.xmlrpc.com/ for more information
about XML-RPC.

Library comes under LGPL, while oxridl tool comes under GPL.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
XML-RPC jest protokoem pozwalajcym wywoywa funkcje w innych
programach (przewanie rwnie na innych komputerach). Jest to cakiem
prosty protok w porwnaniu do CORBA, DCOM czy nawet Java RMI. Na
http://www.xmlrpc.com/ mona znale wicej informacji na temat
XML-RPC.

Biblioteka jest rozprowadzana na zasadach LGPL, natomiast narzdzie
oxridl -- na GPL.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n ocaml_xml-rpc-%{version}

%build
%{__make} all opt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/xmlrpc
install -d $RPM_BUILD_ROOT%{_bindir}
%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir}
install x*.cmx $RPM_BUILD_ROOT%{_libdir}/ocaml/xmlrpc

echo >> $RPM_BUILD_ROOT%{_libdir}/ocaml/xmlrpc/META
echo 'directory = "+xmlrpc"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/xmlrpc/META
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/xmlrpc/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/xmlrpc

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/xmlrpc/*.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc *.html
%attr(755,root,root) %{_bindir}/*
%{_libdir}/ocaml/xmlrpc/*.cm[ixa]*
%{_libdir}/ocaml/xmlrpc/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/xmlrpc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-xmlrpc.spec,v $
Revision 1.13  2006/05/31 12:53:48  glen
- rel 10 (rebuild with ocaml-3.09.2)

Revision 1.12  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.11  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.10  2005/12/30 12:33:03  baggins
- rel 7
- BR ocaml-netstring 1.1.1
- removed completely bogus R

Revision 1.9  2005/12/28 17:46:33  baggins
- rel 6
- rebuild with new ocaml-net

Revision 1.8  2005/12/25 23:20:22  baggins
- release 5

Revision 1.7  2005/12/10 18:49:56  baggins
- release 4 for ocaml 3.09.0

Revision 1.6  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.5  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/08/18 12:16:25  blues
- release 2 - license fix; STBR

Revision 1.2  2002/05/13 14:05:12  malekith
- copied description from -devel where there was "No main package."

Revision 1.1  2002/05/13 11:49:57  malekith
- inital; from scratch

